<?php
App::uses('Component', 'Controller');

class PurchaseComponent extends Component {

	protected $_controller = null;

/**
 * Sets a reference to the calling controller from within the component.
 *
 * @see Component::initialize()
 */
	public function initialize(Controller $controller) {
		parent::initialize($controller);
		$this->_controller = $controller;
	}

/**
 * Returns the configured card types.
 *
 * @return array
 */
	public function getCardTypes() {
		$this->_controller->loadModel('BuzzPurchase.Payment');
		return $this->_controller->Payment->getCardTypes();
	}

}
